Bug 132270 - FILESAVE: DOCX: Glow effect is gone after RT
Summary: FILESAVE: DOCX: Glow effect is gone after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-04-20 09:30 UTC by Xisco Faulí
Modified: 2020-05-08 14:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Comparison before and after (83.60 KB, image/png)
2020-04-20 09:30 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-04-20 09:30:04 UTC
Created attachment 159751 [details]
Comparison before and after

Steps to reproduce:
1. Open sw/qa/extras/ooxmlexport/data/picture-effects-preservation.docx
2. Save it as DOCX
3. Open the new document in MSO Word

-> Glow effect of first image is gone

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: acedbb8692bc84c93114dc4d441b3eb20b3ac467
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-04-20 09:30:52 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f9fc420dceb1ece2c98767da16a21aaff771f140

author  Tamas Bunth <tamas.bunth@collabora.co.uk>       2020-01-21 19:04:13
+0100
committer       Tamás Bunth <btomi96@gmail.com> 2020-03-03 15:52:47 +0100
commit  f9fc420dceb1ece2c98767da16a21aaff771f140 (patch)
tree    299b9c856a3567ee85af11b7b314d2d02a03420b
parent  224ab38f747dcafe711c10b54ad53c52bda9e41d (diff)
tdf#101181 Implement glow effect on shapes

Bisected with: bibisect-linux64-6.5

Adding Cc: to Tamas Bunth
Comment 2 Aron Budea 2020-04-29 01:26:26 UTC Comment hidden (obsolete)
Comment 3 Mike Kaganski 2020-05-08 06:37:04 UTC
Don't repro anymore with Version: 7.0.0.0.alpha1+ (x64)
Build ID: 99c337d1d3831ce9d2c7dc1cbff713f4ac49d6ac
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 4 Xisco Faulí 2020-05-08 11:12:02 UTC
(In reply to Mike Kaganski from comment #3)
> Don't repro anymore with Version: 7.0.0.0.alpha1+ (x64)
> Build ID: 99c337d1d3831ce9d2c7dc1cbff713f4ac49d6ac
> CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
> Locale: ru-RU (ru_RU); UI: en-US
> Calc: CL

Indeed. Fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=65f3aea4727123a75dbd471592fe711998b5209b

Thanks a lot!!
Comment 5 Xisco Faulí 2020-05-08 11:15:42 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: b6ad72a34c150df18905e47e588fd35c400dd6b9
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 6 Commit Notification 2020-05-08 14:20:45 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bd8015b13636607805fcf6a25e353597db868696

tdf#132270: sw: restore unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.